Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CIntgPanel Class Reference

Integrator, reverse of Differentatior. More...

`#include <IntgPanel.h>`

Inheritance diagram for CIntgPanel::

List of all members.

## Public Methods

- CIntgPanel (CCamPanel *yuv_panel, CCamPanel *diff_panel, const char *name="intg.yuv", const char *desc="YUV Integrator")
- void SetRefresh (int n)

## Protected Slots

- virtual void UpdatePanel ()

## Detailed Description

Integrator, reverse of Differentatior.

This class is a panel that is the reverse of a Differentiator: it's an integrator, that is, it accumulates differences to reconstruct the original image. It's name is derived from the electronic equivalent with resistors, capacitors and coils.

Because of round-off errors, DCT (de)compression, bias, etc. (aka "noise") the integration is not perfect. So every once in a while a 'real' YUV image is needed to refresh the image.

## Constructor & Destructor Documentation

CIntgPanel::CIntgPanel ( | CCamPanel * yuv_panel,
| CCamPanel * diff_panel,
| const char * name = "intg.yuv",
| const char * desc = "YUV Integrator" )

  | Constructor. Parameters:
  yuv_panel | The panel with unprocessed, 'real' YUV images.
  diff_panel | The panel with the differential images.
  name | The name of this panel; default "intg.yuv"
  desc | The description of this panel; default "YUV integrator"

## Member Function Documentation

void CIntgPanel::SetRefresh ( | int n )

  | Set new refresh rate. Parameters:
  n | New refresh rate
Every once in a while, a fresh image is needed because using a differential and then going back with an integrator causes all kinds of errors, like round off errors, drifts, etc. Every N frames, a 'real' image will be requested instead of a diff. This function sets this refresh rate.

virtual void CIntgPanel::UpdatePanel ( | )`[protected, virtual, slot]`

The documentation for this class was generated from the following files:

- IntgPanel.cc
- IntgPanel.h